using System;
using System.ComponentModel;
using System.Collections;
using System.Collections.Generic;
using Eco.Services;
using Eco.ObjectRepresentation;
using Eco.ObjectImplementation;
using Eco.UmlRt;
using Eco.UmlCodeAttributes;

namespace ECO_ORMBattle_SimpleExample.Model
{

	[UmlElement("Package", Id="b59cb885-aced-462d-a39b-bac0d1ce1977")]
	[EcoCodeGenVersion("3.0")]
	[UmlMetaAttribute("ownedElement", typeof(ECO_ORMBattle_SimpleExample.Model.Customer))]
	[UmlMetaAttribute("ownedElement", typeof(ECO_ORMBattle_SimpleExample.Model.Invoice))]
	[UmlMetaAttribute("ownedElement", typeof(ECO_ORMBattle_SimpleExample.Model.InvoiceProducts))]
	[UmlMetaAttribute("ownedElement", typeof(ECO_ORMBattle_SimpleExample.Model.NamedObject))]
	[UmlMetaAttribute("ownedElement", typeof(ECO_ORMBattle_SimpleExample.Model.Product))]
	[UmlMetaAttribute("ownedElement", typeof(ECO_ORMBattle_SimpleExample.Model.VATRate))]
	public abstract class ORMBattle_SimpleExamplePackage
	{
		#region Associations
		[UmlElement("Association", Id="{8ae45318-7c8c-4abd-a408-d0dc4f5d38a3}")]
		public class InvoiceProducts
		{
		}

		[UmlElement("Association", Id="{ac25c3d8-371b-4f42-8297-dad83987de01}")]
		public class CustomerInvoices
		{
		}

		[UmlElement("Association", Id="{5a90248f-601b-4b10-b575-6d40edbc8704}")]
		public class ProductVATRates
		{
		}

		[UmlElement("Association", Id="{5efaebdc-549d-4b61-bc5f-25ed4abeedf5}")]
		[UmlTaggedValue("persistence", "transient")]
		[UmlTaggedValue("derived", "True")]
		public class UnsettledCustomerInvoices
		{
		}
		#endregion

		#region Non-navigable association ends
		[UmlMetaAttribute("association", typeof(ORMBattle_SimpleExamplePackage.UnsettledCustomerInvoices), Index=1)]
		[UmlElement("AssociationEnd", Id="{cd967b41-df86-45ce-873b-787785a13b3e}")]
		[UmlMetaAttribute("multiplicity", "1")]
		[UmlTaggedValue("Eco.HasUserCode", "True")]
		public class UnsettledCustomerInvoices_Customer
		{
		}
		#endregion
	}
}
